Genivia - mod_gsoap_interface Class Reference

|  | Home | Documentation | mod_gsoap_interface Class Reference updated Mon Feb 22 2016 |

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
mod_gsoap_interface Class Reference

`#include <ISAPI_SoapServerFactory.h>`

## Public Member Functions
| mod_gsoap_interface ()
| mod_gsoap_interface (const mod_gsoap_interface &)
| copy constructor. More...
mod_gsoap_interface & | operator= (const mod_gsoap_interface &)
| assignment operator More...
bool | linked () const

## Public Attributes
isapi_gsoap_server_fn | fsoap_init
isapi_gsoap_server_fn | fsoap_serve
isapi_soap_delete_fn | fsoap_delete
isapi_gsoap_server_fn | fsoap_done
isapi_gsoap_server_fn | fsoap_end
isapi_soap_register_plugin_fn | fsoap_register_plugin_arg
isapi_soap_lookup_plugin_fn | fsoap_lookup_plugin
mod_gsoap_init_fn | fmod_gsoap_init
mod_gsoap_terminate_fn | fmod_gsoap_terminate
void * | reserved

## Constructor & Destructor Documentation

mod_gsoap_interface::mod_gsoap_interface | ( |  | ) |

mod_gsoap_interface::mod_gsoap_interface | ( | const mod_gsoap_interface & | intf | ) |

copy constructor.

## Member Function Documentation

bool mod_gsoap_interface::linked | ( |  | ) | const

Have all entry points been found in the gosap server library ?

Returns
  true if all entry points have been assigned successfully.

mod_gsoap_interface & mod_gsoap_interface::operator= | ( | const mod_gsoap_interface & | intf | ) |

assignment operator

## Member Data Documentation

mod_gsoap_init_fn mod_gsoap_interface::fmod_gsoap_init

mod_gsoap_terminate_fn mod_gsoap_interface::fmod_gsoap_terminate

isapi_soap_delete_fn mod_gsoap_interface::fsoap_delete

isapi_gsoap_server_fn mod_gsoap_interface::fsoap_done

isapi_gsoap_server_fn mod_gsoap_interface::fsoap_end

isapi_gsoap_server_fn mod_gsoap_interface::fsoap_init

isapi_soap_lookup_plugin_fn mod_gsoap_interface::fsoap_lookup_plugin

isapi_soap_register_plugin_fn mod_gsoap_interface::fsoap_register_plugin_arg

isapi_gsoap_server_fn mod_gsoap_interface::fsoap_serve

void* mod_gsoap_interface::reserved

The documentation for this class was generated from the following files:

- ISAPI_SoapServerFactory.h
- ISAPI_SoapServerFactory.cpp